Loading...
Searching...
No Matches
pcl::EnergyMaps Class Reference

Stores a set of energy maps. More...

`#include <pcl/recognition/linemod.h>`

## Public Member Functions

| EnergyMaps ()=default
| Constructor.
virtual | ~EnergyMaps ()=default
| Destructor.
std::size_t | getWidth () const
| Returns the width of the energy maps.
std::size_t | getHeight () const
| Returns the height of the energy maps.
std::size_t | getNumOfBins () const
| Returns the number of bins used for quantization (which is equal to the number of energy maps).
void | initialize (const std::size_t width, const std::size_t height, const std::size_t nr_bins)
| Initializes the set of energy maps.
void | releaseAll ()
| Releases the internal data.
unsigned char & | operator() (const std::size_t bin_index, const std::size_t col_index, const std::size_t row_index)
| Operator for accessing a specific element in the set of energy maps.
unsigned char & | operator() (const std::size_t bin_index, const std::size_t index)
| Operator for accessing a specific element in the set of energy maps.
unsigned char * | operator() (const std::size_t bin_index)
| Returns a pointer to the data of the specified energy map.
const unsigned char & | operator() (const std::size_t bin_index, const std::size_t col_index, const std::size_t row_index) const
| Operator for accessing a specific element in the set of energy maps.
const unsigned char & | operator() (const std::size_t bin_index, const std::size_t index) const
| Operator for accessing a specific element in the set of energy maps.
const unsigned char * | operator() (const std::size_t bin_index) const
| Returns a pointer to the data of the specified energy map.

## Detailed Description

Stores a set of energy maps.

Author
  Stefan Holzer

Definition at line 54 of file linemod.h.

## Constructor & Destructor Documentation

## EnergyMaps()

pcl::EnergyMaps::EnergyMaps | ( |  | ) |

default

Constructor.

## ~EnergyMaps()

virtual pcl::EnergyMaps::~EnergyMaps | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getHeight()

std::size_t pcl::EnergyMaps::getHeight | ( |  | ) | const

inline

Returns the height of the energy maps.

Definition at line 71 of file linemod.h.

## getNumOfBins()

std::size_t pcl::EnergyMaps::getNumOfBins | ( |  | ) | const

inline

Returns the number of bins used for quantization (which is equal to the number of energy maps).

Definition at line 78 of file linemod.h.

## getWidth()

std::size_t pcl::EnergyMaps::getWidth | ( |  | ) | const

inline

Returns the width of the energy maps.

Definition at line 64 of file linemod.h.

## initialize()

void pcl::EnergyMaps::initialize | ( | const std::size_t | width,
|  | const std::size_t | height,
|  | const std::size_t | nr_bins
| ) |  |

inline

Initializes the set of energy maps.

Parameters

  [in] | width | the width of the energy maps.
  [in] | height | the height of the energy maps.
  [in] | nr_bins | the number of bins used for quantization.

Definition at line 89 of file linemod.h.

References pcl::aligned_malloc().

## operator()() [1/6]

unsigned char * pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index | ) |

inline

Returns a pointer to the data of the specified energy map.

Parameters

  [in] | bin_index | the index of the energy map to return (== the quantization bin).

Definition at line 145 of file linemod.h.

## operator()() [2/6]

const unsigned char * pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index | ) | const

inline

Returns a pointer to the data of the specified energy map.

Parameters

  [in] | bin_index | the index of the energy map to return (== the quantization bin).

Definition at line 175 of file linemod.h.

## operator()() [3/6]

unsigned char & pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index,
|  | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  |

inline

Operator for accessing a specific element in the set of energy maps.

Parameters

  [in] | bin_index | the quantization bin (states which of the energy maps to access).
  [in] | col_index | the column index within the specified energy map.
  [in] | row_index | the row index within the specified energy map.

Definition at line 126 of file linemod.h.

## operator()() [4/6]

const unsigned char & pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index,
|  | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  | const

inline

Operator for accessing a specific element in the set of energy maps.

Parameters

  [in] | bin_index | the quantization bin (states which of the energy maps to access).
  [in] | col_index | the column index within the specified energy map.
  [in] | row_index | the row index within the specified energy map.

Definition at line 156 of file linemod.h.

## operator()() [5/6]

unsigned char & pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index,
|  | const std::size_t | index
| ) |  |

inline

Operator for accessing a specific element in the set of energy maps.

Parameters

  [in] | bin_index | the quantization bin (states which of the energy maps to access).
  [in] | index | the element index within the specified energy map.

Definition at line 136 of file linemod.h.

## operator()() [6/6]

const unsigned char & pcl::EnergyMaps::operator() | ( | const std::size_t | bin_index,
|  | const std::size_t | index
| ) |  | const

inline

Operator for accessing a specific element in the set of energy maps.

Parameters

  [in] | bin_index | the quantization bin (states which of the energy maps to access).
  [in] | index | the element index within the specified energy map.

Definition at line 166 of file linemod.h.

## releaseAll()

void pcl::EnergyMaps::releaseAll | ( |  | ) |

inline

Releases the internal data.

Definition at line 108 of file linemod.h.

References pcl::aligned_free().

The documentation for this class was generated from the following file:

- pcl/recognition/linemod.h